Package com.databricks.jdbc.dbclient.impl.http

## Class RetryHandler

- java.lang.Object
- - com.databricks.jdbc.dbclient.impl.http.RetryHandler

    public class RetryHandler
    extends Object

### Constructor Summary

Constructors
`RetryHandler()`

### Method Summary

All Methods Static Methods Concrete Methods
`static int` `getErrorCode​(IOException exception)`
`static boolean` `isRetryAllowedHttp​(int executionCount, org.apache.http.protocol.HttpContext context, int errCode, boolean shouldRetryTemporarilyUnavailableError, long temporarilyUnavailableRetryTimeout, boolean shouldRetryRateLimitError, long rateLimitRetryTimeout, long temporarilyUnavailableRetryCount, long rateLimitRetryCount, long retryInterval, String originalErrorMessage)`
`static void` `sleepForDelay​(long delay)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RetryHandler

    public RetryHandler()

### Method Detail

#### getErrorCode

    public static int getErrorCode​(IOException exception)

#### isRetryAllowedHttp

    public static boolean isRetryAllowedHttp​(int executionCount,
                                             org.apache.http.protocol.HttpContext context,
                                             int errCode,
                                             boolean shouldRetryTemporarilyUnavailableError,
                                             long temporarilyUnavailableRetryTimeout,
                                             boolean shouldRetryRateLimitError,
                                             long rateLimitRetryTimeout,
                                             long temporarilyUnavailableRetryCount,
                                             long rateLimitRetryCount,
                                             long retryInterval,
                                             String originalErrorMessage)
                                      throws DatabricksHttpException

Throws:
  `DatabricksHttpException`

#### sleepForDelay

    public static void sleepForDelay​(long delay)